Subject: Re: bug#17052: substitute-command-keys strips text properties

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 18:58:57 -0700

Glenn Morris <[email-masked]> writes:

> Lars Ingebrigtsen wrote:
>
>> Looks like this has been fixed sometime in the intervening years?
>>
>> (substitute-command-keys (propertize "foo" 'face 'bold))
>> => #("foo" 0 3 (face bold))
>
> Nope, you need to use an example which does a substitution, eg
>
> (substitute-command-keys (propertize "foo \\[find-file]" 'face 'bold))

Ah, I see.  I've now reopened the bug report again.

> The doc of substitute-command-keys used to mention this, but it was
> somewhat prematurely removed in 049fac7.

Heh, heh:

    (Fsubstitute_command_keys): Don't advertise the fact that
    text-properties are dropped, since we think it's a bug that we'll fix
    in 24.5.

Should I just put it back in the doc string, or do we still think that
we'll fix it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no